complexType "PaymentDetail"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | paymentDate?, (paymentAmount | (paymentRule, paymentAmount?))
</...>

Content Model Elements (4):

  paymentAmount (in paymentDetail), paymentAmount (in paymentDetail), | paymentDate (in paymentDetail), paymentRule

All Direct / Indirect Based Elements (1):

  paymentDetail

Known Usage Locations

- As direct type of elements (1):
  paymentDetail

Type Definition Detail

Type Derivation Tree PaymentBase (extension) PaymentDetail

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="PaymentDetail"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:element minOccurs="0" name="paymentDate" type="AdjustableOrRelativeDate"/> <xsd:choice> <xsd:element name="paymentAmount" type="Money"/> <xsd:sequence> <xsd:element name="paymentRule" type="PaymentRule"/> <xsd:element minOccurs="0" name="paymentAmount" type="Money"/> </xsd:sequence> </xsd:choice> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
paymentAmount

  Type: | Money, complex content

  A fixed payment amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="paymentAmount" type="Money"/>

paymentAmount

  Type: | Money, complex content

  A fixed payment amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentAmount" type="Money"/>

paymentDate

  Type: | AdjustableOrRelativeDate, complex content

  Payment date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentDate" type="AdjustableOrRelativeDate"/>

paymentRule

  Type: | PaymentRule, empty content

  A type defining the calculation rule.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="paymentRule" type="PaymentRule"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.